Skip to content
Справочник APIPlatformPlatform billing

Create or replace a vendor configuration

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

POST
/platform/v1/billing/vendors

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/platform/v1/billing/vendors" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "credentials": {      "secret_key": "string",      "vendor": "stripe"    },    "display_name": "string",    "mode": "sandbox",    "vendor_type": "stripe"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "display_name": "string",  "enabled": true,  "encryption_key_version": 0,  "last_health_check_at": "2019-08-24T14:15:22Z",  "last_health_error": "string",  "mode": "sandbox",  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "updated_at": "2019-08-24T14:15:22Z",  "vendor_type": "stripe",  "webhook_url": "string"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}